## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csDebugImageWriter Class Reference

Helper class allowing in debug builds for to quickly dump an iImage object onto disk for visual inspection. More...

`#include <cstool/debugimagewriter.h>`

List of all members.

## Static Public Member Functions

static void | DebugImageWrite (iImage *image, const char *filename,...)
| Write an image onto disk.

## Detailed Description

Helper class allowing in debug builds for to quickly dump an iImage object onto disk for visual inspection.

Definition at line 38 of file debugimagewriter.h.

## Member Function Documentation

static void csDebugImageWriter::DebugImageWrite | ( | iImage * | image,
|  | const char * | filename,
|  |  | ...
| ) | `[inline, static]`

Write an image onto disk.

Parameters:

  | image | The image to be written.
  | filename | The VFS name of the file to be written.

Remarks:
  filename is a string with printf() style format specifiers.

  If filename does not contain an absolute VFS path, it will be treated as relative to "/tmp/".

See also:
  Notes about string formatting in Crystal Space

Definition at line 60 of file debugimagewriter.h.

References CS_ASSERT, CS_QUERY_REGISTRY, CS_REPORTER_SEVERITY_ERROR, csStringBase::FormatV(), csStringFast< LEN >::GetData(), and iSCF::SCF.

The documentation for this class was generated from the following file:

- cstool/debugimagewriter.h